import { Url } from "url";

export interface Subscription {
    id: number;
    name: string;
    url: Url;
    guild_id: string;
    active: boolean;
    created_at: Date;
    updated_at: Date;
    channels?: string[];
}

export interface Channel {
    id: number;
    channel_id: string;
    subscription_id: number;
}
